Home > Configure Error > Configure Error Cannot Build Tcl/tk Apps

Configure Error Cannot Build Tcl/tk Apps

asked 6 years ago viewed 4184 times active 6 years ago Linked 0 Trouble downloading packages Related 0main.c error while “making” GRASS4How do libraries/includes work?0Configuration and compilation settings used for Ubuntu Drawing a torso with a head (using \draw) GO OUT AND VOTE How to be Recommended to be a Sitecore MVP How do pilots identify the taxi path to the runway? John VV View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by John VV 04-15-2013, 02:27 PM #3 adilbashir09 LQ Newbie Registered: Apr Posts: 16,776 Rep: can you post a link to the site you got this software so that i can read the instructions John VV View Public Profile View LQ Blog his comment is here

We recommend upgrading to the latest Safari, Google Chrome, or Firefox. Although i searched the omnetpp google group, but i couldn't find it. –Fadi Asbih Aug 15 '12 at 11:38 Note that Luis made an edit to the original post If it is not in the man pages or the how-to's this is the place! Offline Pages: 1 Index »Creating & Modifying Packages »tk installed, but cannot build tk-app Board footer Jump to Newbie Corner Installation Kernel & Hardware Applications & Desktop Environments Laptop Issues Networking,

EOT elif test "$PLATFORM" = "macosx"; then : elif test -z "$TCL_LIBRARY"; then cat 1>&2 << EOT WARNING: The TCL_LIBRARY environment variable is not set, and without it Tkenv (the GUI Just starting out and have a question? more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed

Why are password boxes always blanked out when other sensitive data isn't? adilbashir09 View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by adilbashir09 04-17-2013, 06:16 PM #7 knudfl LQ 5k Club Registered: Jan 2008 according to this link just do the following sudo apt-get install tcl8.4 tcl8.4-dev tk8.4 tk8.4-dev for my Ubuntu 9.10, it also needs zlib. I remember compiling it on Lion without any problems, any ideas how to get it working on Mountain Lion.

Topics: Active | Unanswered Index »Creating & Modifying Packages »tk installed, but cannot build tk-app Pages: 1 #1 2003-08-17 23:36:35 dp Member From: Zürich, Switzerland Registered: 2003-05-27 Posts: 3,366 Website tk Why does the Minus World exist? Browse other questions tagged compilation osx-lion omnet++ or ask your own question. this content Check config.log for more info!

My AccountSearchMapsYouTubePlayNewsGmailDriveCalendarGoogle+TranslatePhotosMoreShoppingWalletFinanceDocsBooksBloggerContactsHangoutsEven more from GoogleSign inHidden fieldsSearch for groups or messages To use Google Groups Discussions, please enable JavaScript in your browser settings, and then refresh this page. . Browse other questions tagged configuration compiling or ask your own question. Not the answer you're looking for? for installing the prerequisites Last edited by John VV; 04-15-2013 at 02:23 PM.

Have fun, TS share|improve this answer edited Aug 20 '12 at 18:28 Luís Marques 407515 answered Aug 13 '12 at 21:57 Evan Grim 2,23311418 Thx a lot :), worked more hot questions question feed about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation Science Contact Us - Advertising Info - Rules - LQ Merchandise - Donations - Contributing Member - LQ Sitemap - Main Menu Linux Forum Android Forum Chrome OS Forum Search LQ How can I ask about the "winner" of an ongoing match?

EOT if module avail >/dev/null 2>/dev/null; then cat 1>&2 << EOT NOTE: Some packages like MPI may need to be loaded explicitly using a "module load " command prior to running this content The command I run for configuration is - ./configure --with-tcltk-includes=/usr/include/tcl8.5 --with-proj-share=/usr/share/proj Can anyone suggest me what I am missing? gcc34 https://docs.google.com/file/d/0B7S2...it?usp=sharing g++34 https://docs.google.com/file/d/0B7S2...it?usp=sharing sudo dpkg -i gcc34-compat-3.4.6_i386.deb g++41-compat-4.1.2_i386.deb Be aware that the above packages are for a 32bits (i686) OS only. Aborting...where are these libs?

  1. You probably will not be able to dynamically load]) AC_MSG_WARN([simple modules or other extensions written in C++ into simulation]) AC_MSG_WARN([programs like INET.]) fi else # note: expected failure on MinGW, because
  2. Offline #4 2003-08-18 17:55:42 hApy Member From: Victoria, BC Registered: 2003-04-13 Posts: 194 Website Re: tk installed, but cannot build tk-app do a "locate libtk" and "locate libtcl"make sure the LIBTCLDIR
  3. Click Here to receive this Complete Guide absolutely free.
  4. As a result, it does not pass the Tcl/Tk checks when we do ./configure.
  5. Just successfully compiled the simulator and haven't encountered other problems yet.
  6. How about a final version omnetpp-3.2.src.tgz ?
  7. Creating a soft link should help: ln -s $this_perl /usr/bin/perl) fi # swig is used for building the ui support libs AC_ARG_VAR(SWIG, The Swig interface generator) AC_CHECK_PROG(SWIG, swig, swig, not found)
  8. wish checking for Tcl/Tk with CFLAGS="-fwritable-strings" LIBS=""...

Flex, Bison, just install them using: sudo apt-get install XXX Harry 2010-04-01 00:52 984 浏览 0 评论 标签 omnet++ 分享 最酷 ZUICOOL 评论前请先 登录/注册 Help answer threads with 0 replies. Join our community today! no checking for Tcl/Tk with CFLAGS=" -fwritable-strings" LIBS=" -ltk8.4 -ltcl8.4"... weblink GCC 4.6 has changed not to link with a shared lib # if the program does not reference a symbol from the lib. #---------------------- AS_NEEDED_OFF=-Wl,--no-as-needed AC_PROG_CXX_OPTION($AS_NEEDED_OFF, ,AS_NEEDED_OFF="") AS_NEEDED_ON=-Wl,--as-needed AC_PROG_CXX_OPTION($AS_NEEDED_ON, ,AS_NEEDED_ON="") #----------------------

At delivery time, client criticises the lack of some features that weren't written on my quote. TOOLCHAIN_NAME=`echo $CC | sed 's!^.*/!!g' | sed 's![[ :]]!_!'g` fi fi #---------------------- # check and disable stack checking to avoid opplibs.so dependence on glibc 2.4 #---------------------- AC_PROG_CXX_OPTION(-fno-stack-protector, CFLAGS_ARCH="$CFLAGS_ARCH -fno-stack-protector") #---------------------- # silly1=-Wl,-all_load silly2= if test $silly_ok = "no" && \ $CXX -o conftest conftest_m.o $silly1 libconftest_a.a $silly2 >/dev/null 2>/dev/null && \ ./conftest 2>/dev/null | grep '=WORKS=' >/dev/null; \ then AC_MSG_RESULT([-all_load]) AC_MSG_NOTICE([NOTE: Use

NOTE: since plove and scalars are out, blt-devel is no longer needed #---------------------- if echo 'catch {package require BLT 2.4; puts OK}; exit' | $WISH | grep OK >/dev/null; then HAVE_BLT=yes

How can I declare independence from the United States and start my own micro nation? dnl dnl OPP_CHECK_LIB( -- macro to check availability of a library dnl $1: LIBRARY-NAME, -- descriptive name (only for printout) dnl $2: HEADER, -- optional: header file to #include dnl $3: adilbashir09 View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by adilbashir09 04-15-2013, 02:51 PM #4 John VV LQ Muse Registered: Aug 2005 We use the # original 'portable' implementation on MAC. #---------------------- if test "$PLATFORM" != "macosx"; then AC_CHECK_FUNCS(swapcontext, [CFLAGS_ARCH="$CFLAGS_ARCH -DHAVE_SWAPCONTEXT"]) fi #---------------------- # Test if "-fPIC" is needed for shared libs (there's

My AccountSearchMapsYouTubePlayNewsGmailDriveCalendarGoogle+TranslatePhotosMoreShoppingWalletFinanceDocsBooksBloggerContactsHangoutsEven more from GoogleSign inHidden fieldsSearch for groups or messages To use Google Groups Discussions, please enable JavaScript in your browser settings, and then refresh this page. . Not configured. ;; esac fi fi #--------------------------- # Check for SystemC settings #--------------------------- if test -d src/systemc; then if test "$SYSTEMC" = "yes"; then if test "$PLATFORM" != "linux.x86" -a "$PLATFORM" Not the answer you're looking for? check over here no configure: error: *** Unable to locate Tk includes.

Version 8.4.0+ and devel package required. How do pilots identify the taxi path to the runway? Default value for date field Can there be a sarcastic meaning to "top gun" in a (non-)linguistic context like this? Why is looping over find's output bad practice?

Those components]) AC_MSG_WARN([will not be found by the simulation program, because the linker]) AC_MSG_WARN([leaves them out from the executable.]) fi else AC_MSG_RESULT(test failed) fi rm -f conftest_a.* conftest_m.* libconftest_a.a conftest #----------------------

Back to Top